<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<artifactId>liferay-textgrid</artifactId>
	<groupId>info.textgrid</groupId>
	<name>Liferay themes and portlets for textgrid</name>
	<version>1.2.0-SNAPSHOT</version>
	<packaging>pom</packaging>

	<properties>
	    <liferay.version>6.2.2</liferay.version>
	    <liferay.maven.plugin.version>6.2.2</liferay.maven.plugin.version>
	    <tgsearch.version>3.6.3</tgsearch.version>
	    <liferay.faces.version>4.2.0-beta</liferay.faces.version>
	    <jsf.version>2.2.6</jsf.version>
	</properties>

    <modules>
        <module>textgrid-theme</module>
        <module>liferay-tgrep</module>
    </modules>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>2.5</version>
        <configuration>
          <encoding>UTF-8</encoding>
          <source>1.7</source>
          <target>1.7</target>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-resources-plugin</artifactId>
        <version>2.5</version>
        <configuration>
          <encoding>UTF-8</encoding>
        </configuration>
      </plugin>
    </plugins>
  </build>

	<repositories>
        <repository>
			<id>maven-dariah-public</id>
			<name>GWDG Nexus DARIAH-DE Repository</name>
			<url>https://nexus.gwdg.de/repository/maven-dariah-public/</url>
            <releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

</project>
